Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteCompletedTaskTable

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCompletedTaskTable

extends java.rmi.Remote

Interface `RemoteCompletedTaskTable` contains records of completed tasks in the report server.

Since:
  5.2

Method Summary
`void` | `commit()` Commit changes into the disk.
`java.util.Vector` | `getAllCompletedTaskRecords()` Get all the completed task records.
`CompletedTaskRecord` | `getCompletedTaskRecord(java.lang.String recordID)` Get CompletedTaskRecord with the record ID.
`java.util.Vector` | `getCompletedTaskRecordsByReport(java.lang.String catalog, java.lang.String report)` Get completed task records through the catalog and report.
`java.util.Vector` | `getCompletedTaskRecordsByTaskID(java.lang.String taskID)` Get completed task records with the task ID.
`java.util.Vector` | `getCompletedTaskRecordsByUser(java.lang.String userId)`
`boolean` | `removeAllCompletedTaskRecord()` Remove All completed task record
`boolean` | `removeCompletedTaskRecord(java.lang.String recordID)` Remove a completed task record with the record ID.

Method Detail

### getAllCompletedTaskRecords

    java.util.Vector getAllCompletedTaskRecords()
                                                throws java.rmi.RemoteException,
                                                       RptServerException

  Get all the completed task records.

  Returns:
    all the completed task records. The Enumeration contains CompletedTaskRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### getCompletedTaskRecord

    CompletedTaskRecord getCompletedTaskRecord(java.lang.String recordID)
                                               throws java.rmi.RemoteException,
                                                      RptServerException

  Get CompletedTaskRecord with the record ID.

  Returns:
    the CompletedTaskRecord.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecordsByTaskID

    java.util.Vector getCompletedTaskRecordsByTaskID(java.lang.String taskID)
                                                     throws java.rmi.RemoteException,
                                                            RptServerException

  Get completed task records with the task ID.

  Returns:
    completed task records. The Vector contains CompletedTaskRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecordsByReport

    java.util.Vector getCompletedTaskRecordsByReport(java.lang.String catalog,
                                                     java.lang.String report)
                                                     throws java.rmi.RemoteException,
                                                            RptServerException

  Get completed task records through the catalog and report.

  Returns:
    completed task records. The Vector contains CompletedTaskRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecordsByUser

    java.util.Vector getCompletedTaskRecordsByUser(java.lang.String userId)
                                                   throws java.rmi.RemoteException,
                                                          RptServerException

  Throws:
    `java.rmi.RemoteException`
    `RptServerException`

### removeCompletedTaskRecord

    boolean removeCompletedTaskRecord(java.lang.String recordID)
                                      throws java.rmi.RemoteException,
                                             RptServerException

  Remove a completed task record with the record ID.

  Parameters:
    `recordID` - the record ID.
  Returns:
    if the completed task is removed.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### removeAllCompletedTaskRecord

    boolean removeAllCompletedTaskRecord()
                                         throws java.rmi.RemoteException,
                                                RptServerException

  Remove All completed task record

  Returns:
    if All completed task is removed.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### commit

    void commit()
                throws java.rmi.RemoteException,
                       RptServerException

  Commit changes into the disk.

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD